## com.sun.jersey.core.spi.factory
Class AbstractRuntimeDelegate

    java.lang.Object
      javax.ws.rs.ext.RuntimeDelegate
          com.sun.jersey.core.spi.factory.AbstractRuntimeDelegate

    public abstract class AbstractRuntimeDelegate

extends javax.ws.rs.ext.RuntimeDelegate

An abstract implementation of `RuntimeDelegate` that provides support common to the client and server.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary

Nested classes/interfaces inherited from class javax.ws.rs.ext.RuntimeDelegate
`javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T>`

Field Summary

Fields inherited from class javax.ws.rs.ext.RuntimeDelegate
`JAXRS_RUNTIME_DELEGATE_PROPERTY`

Constructor Summary
`AbstractRuntimeDelegate()`

Method Summary

`

`<T> javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T>`

`

`createHeaderDelegate(java.lang.Class<T> type)`

`javax.ws.rs.core.Response.ResponseBuilder` `createResponseBuilder()`
`javax.ws.rs.core.UriBuilder` `createUriBuilder()`
`javax.ws.rs.core.Variant.VariantListBuilder` `createVariantListBuilder()`

Methods inherited from class javax.ws.rs.ext.RuntimeDelegate
`createEndpoint, getInstance, setInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRuntimeDelegate

    public AbstractRuntimeDelegate()

Method Detail

### createVariantListBuilder

    public javax.ws.rs.core.Variant.VariantListBuilder createVariantListBuilder()

  Specified by:
    `createVariantListBuilder` in class `javax.ws.rs.ext.RuntimeDelegate`

### createResponseBuilder

    public javax.ws.rs.core.Response.ResponseBuilder createResponseBuilder()

  Specified by:
    `createResponseBuilder` in class `javax.ws.rs.ext.RuntimeDelegate`

### createUriBuilder

    public javax.ws.rs.core.UriBuilder createUriBuilder()

  Specified by:
    `createUriBuilder` in class `javax.ws.rs.ext.RuntimeDelegate`

### createHeaderDelegate

    public <T> javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T> createHeaderDelegate(java.lang.Class<T> type)

  Specified by:
    `createHeaderDelegate` in class `javax.ws.rs.ext.RuntimeDelegate`

Copyright © 2017 Oracle Corporation. All Rights Reserved.